Subject: Re: bug#6186: du in coreutils should add the -d flag as a shortcut to --max-depth

From: Jon Ringuette <[email-masked]>
Date: Mon, 17 May 2010 14:14:15 -0700

I believe it shows up as an attachment on the http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6186 with my last email : [du_add_d.patch (application/octet-stream, attachment)]

I can also post the patch directly instead of as a file attachment if that is easier.

Just doing a normal #define DU_DEBUG 1  was giving me an error about lower case function fts_cross_check not existing.  Is there a better way for me to test this to ensure my modification of the debug flag to --debug did not negatively impact past work?

thanks!

-jon

On May 14, 2010, at 1:06 AM, Jim Meyering wrote:

> Jon Ringuette wrote:
>> So here is my first whack at it.  One thing to note is there was a DU_DEBUG optional define that defined a -d flag to use for debugging.  It seemed like using -d would be more useful for everyone to use for depth then for debug so I modified the slightly oddly thrown in debug stuff to now work with --debug instead.  Though when I actually define DU_DEBUG so the #if DU_DEBUG is picked up and used it complains about the function missing so I'm kind of curios if this has worked for awhile.
> 
> Moving debug functionality to --debug is fine.
> Since it's compiled out and I haven't made an effort
> to enable it otherwise, it hasn't kept pace with other
> changes.  No big deal.  However, it was essential during
> the last round of big changes, so I'm not ready to remove
> it altogether just yet.
> 
>> Anyways any feedback or recommendations would be greatly appreciated so this has a better chance of making its way into the release.
>> 
>> Thank you for your time on this matter!
> 
> Your patch did not reach the list.